Bug 1918132 - i18n: Volume Snapshot Contents menu is not translated
Summary: i18n: Volume Snapshot Contents menu is not translated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-20 07:22 UTC by Yadan Pei
Modified: 2021-02-24 15:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Text was not internationalized. Consequence: Text was not pseudolocalizable or translated like the rest of the menu. Fix: Internationalized the text. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:54:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
Volume Snapshot Contents not translated (76.70 KB, image/png)
2021-01-20 07:22 UTC, Yadan Pei
no flags Details
Add Secret to Workload modal not translated (116.07 KB, image/png)
2021-01-20 07:26 UTC, Yadan Pei
no flags Details
Add Storage page not translated (116.37 KB, image/png)
2021-01-20 07:26 UTC, Yadan Pei
no flags Details
After the fix not translated (59.26 KB, image/png)
2021-01-27 02:03 UTC, Siva Reddy
no flags Details
Screenshot of translated text after fix (63.20 KB, image/png)
2021-01-27 14:51 UTC, ralpert
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7906 0 None closed Bug 1918132: i18n VolumeSnapshotContents 2021-02-16 16:26:20 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:55:13 UTC

Description Yadan Pei 2021-01-20 07:22:18 UTC
Created attachment 1748958 [details]
Volume Snapshot Contents not translated

Description of problem:
as title

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-01-19-095812

How reproducible:
Always

Steps to Reproduce:
1. visit console and add ?pseudolocalization=true&lng=en suffix
2. check if all menus are translated
3.

Actual results:
2. `Volume Snapshot Contents` sub menu is not translated

Expected results:
2. `Volume Snapshot Contents` sub menu should be marked for translation

Additional info:

Comment 1 Yadan Pei 2021-01-20 07:26:01 UTC
Created attachment 1748959 [details]
Add Secret to Workload modal not translated

Comment 2 Yadan Pei 2021-01-20 07:26:42 UTC
Created attachment 1748960 [details]
Add Storage page not translated

Comment 3 Yadan Pei 2021-01-20 07:28:24 UTC
`Add Secret to Workload` modal and `Add Storage` page are also not translated, let me know if they need to be tracked in separate bug

Comment 4 ralpert 2021-01-22 15:45:47 UTC
Hey @yapei@redhat.com - I believe the "Add Secret to Workload" modal and "Add Storage" are being addressed as part of https://github.com/openshift/console/pull/7720/file. I can update the nav item though. Thanks for flagging!

Comment 6 Siva Reddy 2021-01-27 02:01:54 UTC
Still the volume snapshot contents is not marked for translation so returning the bug.
attached the screenshot.

# git log 85d737a55d24f59c9cda1e49d2e29daac3f730c1 | grep '#7906'
    Merge pull request #7906 from rebeccaalpert/i18n-nav-update

Version:
 4.7.0-0.nightly-2021-01-26-162323

Comment 7 Siva Reddy 2021-01-27 02:03:34 UTC
Created attachment 1751082 [details]
After the fix not translated

Comment 8 ralpert 2021-01-27 14:51:12 UTC
Created attachment 1751285 [details]
Screenshot of translated text after fix

Comment 9 ralpert 2021-01-27 14:51:18 UTC
Hey @schituku@redhat.com - It's fine on master. Attaching a screenshot as well.

Comment 10 Siva Reddy 2021-01-28 03:19:25 UTC
@ralpert@redhat.com  now I can see it. Its strange that inspite of the pull req being in the image the earlier version did not update

Version:
4.7.0-0.nightly-2021-01-27-192705

Now the items are marked for translation.

Comment 11 Siva Reddy 2021-01-28 03:20:44 UTC
removing the need info flag.

Comment 12 ralpert 2021-01-28 14:16:13 UTC
Thanks Siva! It is really weird.

Comment 15 errata-xmlrpc 2021-02-24 15:54:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.